﻿@model SeasonViewModel
@{
    Layout = null;
}
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div ng-show="Model.IsCopy=='true'">
        <nav class="step-navigator breadcrumbs">
            <ul>
             
                <li class="active"><a>Basic Information</a></li>
                <li class="done"><a>Season Information</a></li>
                <li class="last"><a>Review Information</a></li>
                <!-- DO NOT DELETE THIS -->
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>
    </div>

    <div ng-show="pageTitle != 'Edit Season'">
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsCopy" name="seasonOptions" value="false" type="radio" ng-chnage="" />
                    <span class="check"></span>
                    Add new season
                </label>
            </div>
            <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsCopy" name="seasonOptions" value="true" type="radio" ng-change="FillSeasonList()" />
                    <span class="check"></span>
                    Copy an existing season
                </label>
            </div>
        </div>
    </div>
    
    <div ng-show="@Html.Ang(m => m.IsCopy) == 'false'">
        <label for="@Html.Ang(m => m.Title)" class="req-star">Name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Title)>
            <input autofocus="" tabindex="0" id="@Html.Ang(m => m.Title)" type="text" ng-model="@Html.Ang(m => m.Title)" ng-change="@Html.Ang(m => m.Domain) = MC.utils.removeSpecialChars(@Html.Ang(m => m.Title))" @Html.AngTooltipValidationFor(model => model.Title) />
            <button class="btn-clear" tabindex="-1"></button>
        </div>
        <div class="row place-left one-half padding-right20">
            <div class="span6 inline-form-text">Season</div>
            <div class="span4" data-role="input-control">
                <div class="input-control select" data-role="input">
                    <select ng-options="obj.Value as obj.Text for obj in Model.AllSeason" ng-model="Model.Name"></select>
                </div>
            </div>
        </div>
        <div class="row place-left one-half">
            <div class="span6 inline-form-text">Year</div>
            <div class="span4" data-role="input-control">
                <div class="input-control select" data-role="input">
                    <select ng-options="obj.Value as obj.Text for obj in Model.YearSeason" ng-model="Model.Year"></select>
                </div>
            </div>
        </div>
        <div ng-show="Model.Id<=0" class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(model => model.IsTestMode)" type="checkbox">
                <span class="check"></span>
                Season is in the test mode
            </label>
        </div>
        <label for="@Html.Ang(m => m.Description)">Description</label>
        <div class="input-control textarea" data-role="input-control">
            <textarea tabindex="1" id="@Html.Ang(m => m.Description)" ng-model="@Html.Ang(m => m.Description)"></textarea>
        </div>
    </div>

    <div ng-show="@Html.Ang(m=>m.IsCopy)=='true'">
        <label for="seasons">Select the season that you want to copy</label>
        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedSeason)>
            <select id="seasons" ng-model="@Html.Ang(m => m.SelectedSeason)"
                    data-placeholder="Select a season for copy"
                    ng-options="obj.Value as obj.Text for obj in Model.SeasonList" @Html.AngTooltipValidationFor(model => model.SelectedSeason)></select>
        </div>

        <div class="input-control checkbox default-style" data-role="input-control">
            <label class="block">
                <span>
                    <i>Note: You can specify a time period and the system can push all the dates forward. For example if you specify the period to be "12 month", all the new programs, discounts, coupons and payment plans in the copied season will have their dates (registration start date, registration end date, etc.) adjusted by one year.</i>
                </span>
                <br />
                <br />
                <input ng-model="@Html.Ang(m => m.ForwardDates)" type="checkbox" />
                <span class="check"></span>
                Push all the dates forward
            </label>
        </div>

        <div class="clearfix" ng-show="@Html.Ang(m => m.ForwardDates) == true">
            <div class="place-left padding-top5 padding-right10">
                Push all the dates forward by
            </div>
            <div class="input-control select place-left" style="width: 150px;" data-role="input-control" @Html.AngValidationClassFor(model => model.MonthsNum)>
                <select ng-model="@Html.Ang(m => m.MonthsNum)"
                        data-placeholder=""
                        ng-options="obj.Value as obj.Text for obj in Model.Months" @Html.AngTooltipValidationFor(model => model.MonthsNum)></select>
            </div>
            <div class="place-left padding-top5 padding-left10">
                months 
            </div>
        </div>

    </div>

    <hr />
    <div ng-show="@Html.Ang(m => m.IsCopy)=='false'">
        <button type="button" class="success place-right large button" ng-click="saveSeason()">Save</button>
    </div>

    <div ng-show="@Html.Ang(m=>m.IsCopy)=='true'">
        <button type="button" class="success place-right large button" ng-click="copySeasonStep2()">Continue</button>
    </div>

    <button type="button" class="link place-left large button" ng-click="cancelSeason()">Cancel</button>

    <div class="clearfix"></div>
</div>
